From fff99a8c86cca8c8ec2519eead36b54924c7762b Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 1 Oct 2025 13:02:31 +0000
Subject: [PATCH] appstream: upgrade 1.0.6 -> 1.1.0

---
 .../0001-remove-hardcoded-path.patch          |   6 +-
 .../0002-Do-not-build-qt-tests.patch          |   2 +-
 ...IX_DIR-in-qt-cmake-AppStreamQtConfig.patch |   2 +-
 ...{appstream_1.0.6.bb => appstream_1.1.0.bb} | 145 +++++++++++++++++-
 4 files changed, 148 insertions(+), 7 deletions(-)
 rename meta/recipes-support/appstream/{appstream_1.0.6.bb => appstream_1.1.0.bb} (19%)

diff --git a/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch b/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
index 5f4ec29628..49fd8c5596 100644
--- a/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
+++ b/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
@@ -1,4 +1,4 @@
-From e713f4d6ce2ee198eabcc31bc734e84cdb20ea32 Mon Sep 17 00:00:00 2001
+From 9a438e2b2667419473e7e007af90ef5081b8421e Mon Sep 17 00:00:00 2001
 From: Markus Volk <f_l_k@t-online.de>
 Date: Mon, 12 Dec 2022 15:42:42 +0100
 Subject: [PATCH] remove hardcoded path
@@ -14,10 +14,10 @@ Upstream-Status: Inappropriate [oe-specific]
  1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/meson.build b/meson.build
-index ee5b179..8a06e75 100644
+index cb092d0..7193eb8 100644
 --- a/meson.build
 +++ b/meson.build
-@@ -194,10 +194,10 @@ endif
+@@ -193,10 +193,10 @@ endif
  stemmer_inc_dirs = include_directories()
  if get_option('stemming')
      stemmer_lib = cc.find_library('stemmer', required: true)
diff --git a/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch b/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
index cf26013019..aa959f1b21 100644
--- a/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
+++ b/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
@@ -1,4 +1,4 @@
-From eafac7178683c9fe5ab50192dec004f24638b2f4 Mon Sep 17 00:00:00 2001
+From ad3dca9a9f451d43d692f921e0e7729e12fbd835 Mon Sep 17 00:00:00 2001
 From: Marc Ferland <marc.ferland@sonatest.com>
 Date: Fri, 26 Jul 2024 15:41:00 -0400
 Subject: [PATCH] Do not build qt/tests
diff --git a/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch b/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
index d1994e3c4c..c7a3921a8e 100644
--- a/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
+++ b/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
@@ -1,4 +1,4 @@
-From f19365d8b90cde7d2a385f8c85b74a2565ff25fa Mon Sep 17 00:00:00 2001
+From 0ef5254150ac85d6a5ce9a7aa19872d523189dc5 Mon Sep 17 00:00:00 2001
 From: Marc Ferland <marc.ferland@sonatest.com>
 Date: Mon, 29 Jul 2024 09:35:51 -0400
 Subject: [PATCH] Fix PACKAGE_PREFIX_DIR in qt/cmake/AppStreamQtConfig.cmake.in
diff --git a/meta/recipes-support/appstream/appstream_1.0.6.bb b/meta/recipes-support/appstream/appstream_1.1.0.bb
similarity index 19%
rename from meta/recipes-support/appstream/appstream_1.0.6.bb
rename to meta/recipes-support/appstream/appstream_1.1.0.bb
index 62761380f5..1746a13667 100644
--- a/meta/recipes-support/appstream/appstream_1.0.6.bb
+++ b/meta/recipes-support/appstream/appstream_1.1.0.bb
@@ -1,7 +1,148 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -2,7 +2,7 @@
+#                         Version 2.1, February 1999
+#  
+#   Copyright (C) 1991, 1999 Free Software Foundation, Inc.
+# - 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+# + <https://fsf.org/>
+#   Everyone is permitted to copy and distribute verbatim copies
+#   of this license document, but changing it is not allowed.
+#  
+# @@ -55,7 +55,7 @@
+#  that what they have is not the original version, so that the original
+#  author's reputation will not be affected by problems that might be
+#  introduced by others.
+# -
+# +
+#    Finally, software patents pose a constant threat to the existence of
+#  any free program.  We wish to make sure that a company cannot
+#  effectively restrict the users of a free program by obtaining a
+# @@ -111,7 +111,7 @@
+#  "work based on the library" and a "work that uses the library".  The
+#  former contains code derived from the library, whereas the latter must
+#  be combined with the library in order to run.
+# -
+# +
+#                    GNU LESSER GENERAL PUBLIC LICENSE
+#     TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+#  
+# @@ -158,7 +158,7 @@
+#    You may charge a fee for the physical act of transferring a copy,
+#  and you may at your option offer warranty protection in exchange for a
+#  fee.
+# -
+# +
+#    2. You may modify your copy or copies of the Library or any portion
+#  of it, thus forming a work based on the Library, and copy and
+#  distribute such modifications or work under the terms of Section 1
+# @@ -216,7 +216,7 @@
+#  ordinary GNU General Public License has appeared, then you can specify
+#  that version instead if you wish.)  Do not make any other change in
+#  these notices.
+# -
+# +
+#    Once this change is made in a given copy, it is irreversible for
+#  that copy, so the ordinary GNU General Public License applies to all
+#  subsequent copies and derivative works made from that copy.
+# @@ -267,7 +267,7 @@
+#  distribute the object code for the work under the terms of Section 6.
+#  Any executables containing that work also fall under Section 6,
+#  whether or not they are linked directly with the Library itself.
+# -
+# +
+#    6. As an exception to the Sections above, you may also combine or
+#  link a "work that uses the Library" with the Library to produce a
+#  work containing portions of the Library, and distribute that work
+# @@ -329,7 +329,7 @@
+#  accompany the operating system.  Such a contradiction means you cannot
+#  use both them and the Library together in an executable that you
+#  distribute.
+# -
+# +
+#    7. You may place library facilities that are a work based on the
+#  Library side-by-side in a single library together with other library
+#  facilities not covered by this License, and distribute such a combined
+# @@ -370,7 +370,7 @@
+#  restrictions on the recipients' exercise of the rights granted herein.
+#  You are not responsible for enforcing compliance by third parties with
+#  this License.
+# -
+# +
+#    11. If, as a consequence of a court judgment or allegation of patent
+#  infringement or for any other reason (not limited to patent issues),
+#  conditions are imposed on you (whether by court order, agreement or
+# @@ -422,7 +422,7 @@
+#  the Free Software Foundation.  If the Library does not specify a
+#  license version number, you may choose any version ever published by
+#  the Free Software Foundation.
+# -
+# +
+#    14. If you wish to incorporate parts of the Library into other free
+#  programs whose distribution conditions are incompatible with these,
+#  write to the author to ask for permission.  For software which is
+# @@ -456,3 +456,46 @@
+#  DAMAGES.
+#  
+#                       END OF TERMS AND CONDITIONS
+# +
+# +           How to Apply These Terms to Your New Libraries
+# +
+# +  If you develop a new library, and you want it to be of the greatest
+# +possible use to the public, we recommend making it free software that
+# +everyone can redistribute and change.  You can do so by permitting
+# +redistribution under these terms (or, alternatively, under the terms of the
+# +ordinary General Public License).
+# +
+# +  To apply these terms, attach the following notices to the library.  It is
+# +safest to attach them to the start of each source file to most effectively
+# +convey the exclusion of warranty; and each file should have at least the
+# +"copyright" line and a pointer to where the full notice is found.
+# +
+# +    <one line to give the library's name and a brief idea of what it does.>
+# +    Copyright (C) <year>  <name of author>
+# +
+# +    This library is free software; you can redistribute it and/or
+# +    modify it under the terms of the GNU Lesser General Public
+# +    License as published by the Free Software Foundation; either
+# +    version 2.1 of the License, or (at your option) any later version.
+# +
+# +    This library is distributed in the hope that it will be useful,
+# +    but WITHOUT ANY WARRANTY; without even the implied warranty of
+# +    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# +    Lesser General Public License for more details.
+# +
+# +    You should have received a copy of the GNU Lesser General Public
+# +    License along with this library; if not, see <https://www.gnu.org/licenses/>.
+# +
+# +Also add information on how to contact you by electronic and paper mail.
+# +
+# +You should also get your employer (if you work as a programmer) or your
+# +school, if any, to sign a "copyright disclaimer" for the library, if
+# +necessary.  Here is a sample; alter the names:
+# +
+# +  Yoyodyne, Inc., hereby disclaims all copyright interest in the
+# +  library `Frob' (a library for tweaking knobs) written by James Random Hacker.
+# +
+# +  <signature of Moe Ghoul>, 1 April 1990
+# +  Moe Ghoul, President of Vice
+# +
+# +That's all there is to it!
+# 
+#
+
 SUMMARY = "AppStream is a collaborative effort for making machine-readable software metadata easily available."
 HOMEPAGE = "https://github.com/ximion/appstream"
 LICENSE = "LGPL-2.1-only"
-LIC_FILES_CHKSUM = "file://COPYING;md5=435ed639f84d4585d93824e7da3d85da"
+LIC_FILES_CHKSUM = "file://COPYING;md5=4bf661c1e3793e55c8d1051bc5e0ae21"
 
 DEPENDS = " \
     appstream-native \
@@ -30,7 +171,7 @@ SRC_URI = " \
 	file://0002-Do-not-build-qt-tests.patch \
 	file://0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch \
 "
-SRC_URI[sha256sum] = "db4439db6a33de3ca1041473501610844ddf1b72ae23016c05242c681c380b4d"
+SRC_URI[sha256sum] = "298b4732a2670503328e022d68d6ebbb253c716dad0b6ba127a4065262dd2f2c"
 
 S = "${UNPACKDIR}/AppStream-${PV}"
 
-- 
2.47.1

